com.streambase.liveview.client.serverdatautility

## Enum ServerUtilityDataProvider.DATA_POLICY

- java.lang.Object
- - java.lang.Enum<ServerUtilityDataProvider.DATA_POLICY>
  - - com.streambase.liveview.client.serverdatautility.ServerUtilityDataProvider.DATA_POLICY

- All Implemented Interfaces:
    Serializable, Comparable<ServerUtilityDataProvider.DATA_POLICY>
  Enclosing interface:
    ServerUtilityDataProvider

      public static enum ServerUtilityDataProvider.DATA_POLICY
      extends Enum<ServerUtilityDataProvider.DATA_POLICY>

  Enum for specifying the policy that should be used during importing of LiveView metadata
  Since:
    10.3

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABORT`
    `OVERWRITE`
    `SKIP`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescription()`
    `String` | `getName()`
    `static ServerUtilityDataProvider.DATA_POLICY` | `getPolicyFromValue(String value)`
    `String` | `toString()`
    `static ServerUtilityDataProvider.DATA_POLICY` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ServerUtilityDataProvider.DATA_POLICY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SKIP

          public static final ServerUtilityDataProvider.DATA_POLICY SKIP

    - #### OVERWRITE

          public static final ServerUtilityDataProvider.DATA_POLICY OVERWRITE

    - #### ABORT

          public static final ServerUtilityDataProvider.DATA_POLICY ABORT

  - ### Method Detail

    - #### values

          public static ServerUtilityDataProvider.DATA_POLICY[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ServerUtilityDataProvider.DATA_POLICY c : ServerUtilityDataProvider.DATA_POLICY.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ServerUtilityDataProvider.DATA_POLICY valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

    - #### getDescription

          public String getDescription()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<ServerUtilityDataProvider.DATA_POLICY>`

    - #### getPolicyFromValue

          public static ServerUtilityDataProvider.DATA_POLICY getPolicyFromValue(String value)
                                                                          throws LiveViewException

      Throws:
        `LiveViewException`

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.